Bug 117114 - REGRESSION(r151071):Crash at WTF::fastFree() after logging into my twitter.com
Summary: REGRESSION(r151071):Crash at WTF::fastFree() after logging into my twitter.com
Status: CLOSED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.8
: P1 Critical
Assignee: Nobody
URL: https://twitter.com
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2013-06-01 19:46 PDT by Chris Petersen
Modified: 2013-06-02 21:37 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Petersen 2013-06-01 19:46:35 PDT
Crash at WTF::fastFree() after logging into my twitter.com. Reproduces WebKit NB r151071.

1) Launch WebKit NB r151071.
2) Go to https://twitter.com. Login to your account.
3) As soon as you have logged in, the page fully loads and renders but crashes.

Process:         WebProcess [31791]
Path:            /Users/USER/Downloads/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess
Identifier:      com.apple.WebProcess
Version:         537+ (537.44+)
Code Type:       X86-64 (Native)
Parent Process:  ??? [1]
User ID:         1878988791

Date/Time:       2013-06-01 19:44:03.399 -0700
OS Version:      Mac OS X 10.8.3 (12D78)
Report Version:  10

Interval Since Last Report:          312254 sec
Crashes Since Last Report:           9161
Per-App Interval Since Last Report:  87989 sec
Per-App Crashes Since Last Report:   8
Anonymous UUID:                      ECB8A649-3CAE-E592-B6F1-8226A45A6FBC

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000000

VM Regions Near 0:
--> 
    __TEXT                 0000000102172000-0000000102173000 [    4K] r-x/rwx SM=COW  /Users/USER/Downloads/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess

Application Specific Information:
Bundle controller class:
BrowserBundleController
 

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   com.apple.JavaScriptCore      	0x00000001028e4396 WTF::fastFree(void*) + 86
1   com.apple.WebCore             	0x0000000102c51c90 WebCore::DocumentOrderedMap::remove(WTF::AtomicStringImpl*, WebCore::Element*) + 240
2   com.apple.WebCore             	0x0000000102d05c54 WebCore::Element::willModifyAttribute(WebCore::QualifiedName const&, WTF::AtomicString const&, WTF::AtomicString const&) + 260
3   com.apple.WebCore             	0x0000000102d09abf WebCore::Element::setAttributeInternal(unsigned int, WebCore::QualifiedName const&, WTF::AtomicString const&, WebCore::Element::SynchronizationOfLazyAttribute) + 175
4   com.apple.WebCore             	0x0000000102d01d04 WebCore::Element::setAttribute(WTF::AtomicString const&, WTF::AtomicString const&, int&) + 260
5   com.apple.WebCore             	0x000000010304b697 WebCore::jsElementPrototypeFunctionSetAttribute(JSC::ExecState*) + 567
6   ???                           	0x000038e26a801045 0 + 62545100542021
7   com.apple.JavaScriptCore      	0x0000000102736307 JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 615
8   com.apple.JavaScriptCore      	0x0000000102645805 JSC::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 69
9   com.apple.JavaScriptCore      	0x000000010278910e JSC::boundFunctionCall(JSC::ExecState*) + 558
10  ???                           	0x000038e26a801045 0 + 62545100542021
11  com.apple.JavaScriptCore      	0x0000000102736307 JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 615
12  com.apple.JavaScriptCore      	0x0000000102645805 JSC::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 69
13  com.apple.JavaScriptCore      	0x000000010278910e JSC::boundFunctionCall(JSC::ExecState*) + 558
14  ???                           	0x000038e26a801045 0 + 62545100542021
15  com.apple.JavaScriptCore      	0x0000000102736307 JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 615
16  com.apple.JavaScriptCore      	0x0000000102645805 JSC::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 69
17  com.apple.JavaScriptCore      	0x000000010278910e JSC::boundFunctionCall(JSC::ExecState*) + 558
18  ???                           	0x000038e26a801045 0 + 62545100542021
19  com.apple.JavaScriptCore      	0x00000001027369b4 JSC::Interpreter::execute(JSC::CallFrameClosure&) + 260
20  com.apple.JavaScriptCore      	0x00000001026206be JSC::arrayProtoFuncForEach(JSC::ExecState*) + 1022
21  ???                           	0x000038e26a801045 0 + 62545100542021
22  com.apple.JavaScriptCore      	0x0000000102736307 JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 615
23  com.apple.JavaScriptCore      	0x0000000102645805 JSC::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 69
24  com.apple.JavaScriptCore      	0x000000010278910e JSC::boundFunctionCall(JSC::ExecState*) + 558
25  ???                           	0x000038e26a801045 0 + 62545100542021
26  com.apple.JavaScriptCore      	0x0000000102736307 JSC::Interpreter::executeCall(JSC::ExecState*, JSC::JSObject*, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 615
27  com.apple.JavaScriptCore      	0x0000000102645805 JSC::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 69
28  com.apple.WebCore             	0x0000000102f9ee20 WebCore::JSMainThreadExecState::call(JSC::ExecState*, JSC::JSValue, JSC::CallType, JSC::CallData const&, JSC::JSValue, JSC::ArgList const&) + 160
29  com.apple.WebCore             	0x000000010351838d WebCore::ScheduledAction::executeFunctionInContext(JSC::JSGlobalObject*, JSC::JSValue, WebCore::ScriptExecutionContext*) + 429
30  com.apple.WebCore             	0x0000000103517fea WebCore::ScheduledAction::execute(WebCore::Document*) + 154
31  com.apple.WebCore             	0x0000000102cc3fd7 WebCore::DOMTimer::fired() + 295
32  com.apple.WebCore             	0x00000001036c922f WebCore::ThreadTimers::sharedTimerFiredInternal() + 175
33  com.apple.WebCore             	0x0000000103563a83 WebCore::timerFired(__CFRunLoopTimer*, void*) + 51
34  com.apple.CoreFoundation      	0x00007fff862f2804 __CFRUNLOOP_IS_CALLING_OUT_TO_A_TIMER_CALLBACK_FUNCTION__ + 20
35  com.apple.CoreFoundation      	0x00007fff862f231d __CFRunLoopDoTimer + 557
36  com.apple.CoreFoundation      	0x00007fff862d7ad9 __CFRunLoopRun + 1529
37  com.apple.CoreFoundation      	0x00007fff862d70e2 CFRunLoopRunSpecific + 290
38  com.apple.HIToolbox           	0x00007fff84a79eb4 RunCurrentEventLoopInMode + 209
39  com.apple.HIToolbox           	0x00007fff84a79c52 ReceiveNextEventCommon + 356
40  com.apple.HIToolbox           	0x00007fff84a79ae3 BlockUntilNextEventMatchingListInMode + 62
41  com.apple.AppKit              	0x00007fff8180a563 _DPSNextEvent + 685
42  com.apple.AppKit              	0x00007fff81809e22 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
43  com.apple.AppKit              	0x00007fff818011d3 -[NSApplication run] + 517
44  com.apple.WebCore             	0x0000000103513d52 WebCore::RunLoop::run() + 82
45  com.apple.WebKit2             	0x00000001022574a3 int WebKit::ChildProcessMain<WebKit::WebProcess, WebKit::WebContentProcessMainDelegate>(int, char**) + 579
46  com.apple.WebProcess          	0x0000000102172e23 main + 337
47  libdyld.dylib                 	0x00007fff8449c7e1 start + 1

Thread 1:
0   libsystem_kernel.dylib        	0x00007fff89e1d6d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff89d1ff4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff89d1fd13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff89d0a1d1 start_wqthread + 13

Thread 2:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x00007fff89e1dd16 kevent + 10
1   libdispatch.dylib             	0x00007fff8a5d5dea _dispatch_mgr_invoke + 883
2   libdispatch.dylib             	0x00007fff8a5d59ee _dispatch_mgr_thread + 54

Thread 3:
0   libsystem_kernel.dylib        	0x00007fff89e1d6d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff89d1ff4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff89d1fd13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff89d0a1d1 start_wqthread + 13

Thread 4:
0   libsystem_kernel.dylib        	0x00007fff89e1d6d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff89d1ff4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff89d1fd13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff89d0a1d1 start_wqthread + 13

Thread 5:: WebCore: Scrolling
0   libsystem_kernel.dylib        	0x00007fff89e1b686 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff89e1ac42 mach_msg + 70
2   com.apple.CoreFoundation      	0x00007fff862d2233 __CFRunLoopServiceMachPort + 195
3   com.apple.CoreFoundation      	0x00007fff862d7916 __CFRunLoopRun + 1078
4   com.apple.CoreFoundation      	0x00007fff862d70e2 CFRunLoopRunSpecific + 290
5   com.apple.CoreFoundation      	0x00007fff862e5dd1 CFRunLoopRun + 97
6   com.apple.WebCore             	0x000000010353f3c4 WebCore::ScrollingThread::initializeRunLoop() + 244
7   com.apple.JavaScriptCore      	0x00000001028fbe2f WTF::wtfThreadEntryPoint(void*) + 15
8   libsystem_c.dylib             	0x00007fff89d1d7a2 _pthread_start + 327
9   libsystem_c.dylib             	0x00007fff89d0a1e1 thread_start + 13

Thread 6:: JavaScriptCore::BlockFree
0   libsystem_kernel.dylib        	0x00007fff89e1d0fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff89d21fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x00000001028fcac6 WTF::ThreadCondition::timedWait(WTF::Mutex&, double) + 118
3   com.apple.JavaScriptCore      	0x00000001026283c4 JSC::BlockAllocator::blockFreeingThreadMain() + 116
4   com.apple.JavaScriptCore      	0x00000001028fbe2f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff89d1d7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff89d0a1e1 thread_start + 13

Thread 7:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff89e1d0fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff89d21fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x0000000102727e87 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x0000000102727f4f JSC::GCThread::gcThreadMain() + 143
4   com.apple.JavaScriptCore      	0x00000001028fbe2f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff89d1d7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff89d0a1e1 thread_start + 13

Thread 8:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff89e1d0fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff89d21fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x0000000102727e87 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x0000000102727f4f JSC::GCThread::gcThreadMain() + 143
4   com.apple.JavaScriptCore      	0x00000001028fbe2f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff89d1d7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff89d0a1e1 thread_start + 13

Thread 9:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff89e1d0fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff89d21fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x0000000102727e87 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x0000000102727f4f JSC::GCThread::gcThreadMain() + 143
4   com.apple.JavaScriptCore      	0x00000001028fbe2f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff89d1d7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff89d0a1e1 thread_start + 13

Thread 10:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff89e1d0fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff89d21fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x0000000102727e87 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x0000000102727f4f JSC::GCThread::gcThreadMain() + 143
4   com.apple.JavaScriptCore      	0x00000001028fbe2f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff89d1d7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff89d0a1e1 thread_start + 13

Thread 11:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff89e1d0fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff89d21fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x0000000102727e87 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x0000000102727f4f JSC::GCThread::gcThreadMain() + 143
4   com.apple.JavaScriptCore      	0x00000001028fbe2f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff89d1d7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff89d0a1e1 thread_start + 13

Thread 12:: JavaScriptCore::Marking
0   libsystem_kernel.dylib        	0x00007fff89e1d0fa __psynch_cvwait + 10
1   libsystem_c.dylib             	0x00007fff89d21fe9 _pthread_cond_wait + 869
2   com.apple.JavaScriptCore      	0x0000000102727e87 JSC::GCThread::waitForNextPhase() + 119
3   com.apple.JavaScriptCore      	0x0000000102727f4f JSC::GCThread::gcThreadMain() + 143
4   com.apple.JavaScriptCore      	0x00000001028fbe2f WTF::wtfThreadEntryPoint(void*) + 15
5   libsystem_c.dylib             	0x00007fff89d1d7a2 _pthread_start + 327
6   libsystem_c.dylib             	0x00007fff89d0a1e1 thread_start + 13

Thread 13:: com.apple.NSURLConnectionLoader
0   libsystem_kernel.dylib        	0x00007fff89e1b686 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x00007fff89e1ac42 mach_msg + 70
2   com.apple.CoreFoundation      	0x00007fff862d2233 __CFRunLoopServiceMachPort + 195
3   com.apple.CoreFoundation      	0x00007fff862d7916 __CFRunLoopRun + 1078
4   com.apple.CoreFoundation      	0x00007fff862d70e2 CFRunLoopRunSpecific + 290
5   com.apple.Foundation          	0x00007fff885bdb66 +[NSURLConnection(Loader) _resourceLoadLoop:] + 356
6   com.apple.Foundation          	0x00007fff8861bcd2 __NSThread__main__ + 1345
7   libsystem_c.dylib             	0x00007fff89d1d7a2 _pthread_start + 327
8   libsystem_c.dylib             	0x00007fff89d0a1e1 thread_start + 13

Thread 14:
0   libsystem_kernel.dylib        	0x00007fff89e1d6d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff89d1ff4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff89d1fd13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff89d0a1d1 start_wqthread + 13

Thread 15:: com.apple.CFSocket.private
0   libsystem_kernel.dylib        	0x00007fff89e1d322 __select + 10
1   com.apple.CoreFoundation      	0x00007fff86316f46 __CFSocketManager + 1302
2   libsystem_c.dylib             	0x00007fff89d1d7a2 _pthread_start + 327
3   libsystem_c.dylib             	0x00007fff89d0a1e1 thread_start + 13

Thread 16:
0   libsystem_kernel.dylib        	0x00007fff89e1d6d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff89d1ff4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff89d1fd13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff89d0a1d1 start_wqthread + 13

Thread 17:
0   libsystem_kernel.dylib        	0x00007fff89e1d6d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff89d1ff4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff89d1fd13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff89d0a1d1 start_wqthread + 13

Thread 18:
0   libsystem_kernel.dylib        	0x00007fff89e1d6d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff89d1ff4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff89d1fd13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff89d0a1d1 start_wqthread + 13

Thread 19:
0   libsystem_kernel.dylib        	0x00007fff89e1d6d6 __workq_kernreturn + 10
1   libsystem_c.dylib             	0x00007fff89d1ff4c _pthread_workq_return + 25
2   libsystem_c.dylib             	0x00007fff89d1fd13 _pthread_wqthread + 412
3   libsystem_c.dylib             	0x00007fff89d0a1d1 start_wqthread + 13

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000114620658  rcx: 0x0000000000000000  rdx: 0x0000000000000028
  rdi: 0x000000070000000c  rsi: 0x0000000000000000  rbp: 0x00007fff5da8b150  rsp: 0x00007fff5da8b120
   r8: 0x0000000114620500   r9: 0x0000000000000007  r10: 0x000000010e1d8b10  r11: 0x00000001047a7028
  r12: 0x0000000114620500  r13: 0x000000070000000c  r14: 0x00000001029a45c0  r15: 0x000000010d6d10f0
  rip: 0x00000001028e4396  rfl: 0x0000000000010246  cr2: 0x0000000000000000
Logical CPU: 4

Binary Images:
       0x102172000 -        0x102172fff  com.apple.WebProcess (537+ - 537.44+) <00A33FD7-DCF5-3C99-AA71-328FF8D1A252> /Users/USER/Downloads/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcess
       0x10217a000 -        0x10217afff +WebProcessShim.dylib (0) <55310D47-C37B-3157-83BE-6631168D34B0> /Users/USER/Downloads/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebProcess.app/Contents/MacOS/WebProcessShim.dylib
       0x1021ad000 -        0x102421ff7  com.apple.WebKit2 (537+ - 537.44+) <651051F9-18EA-38FA-944A-A38CBEDBFD7E> /Users/USER/Downloads/WebKit.app/Contents/Frameworks/10.8/WebKit2.framework/WebKit2
       0x102614000 -        0x102977ff7  com.apple.JavaScriptCore (537+ - 537.44+) <695FC967-0D9F-33B3-9987-06636D039083> /Users/USER/Downloads/WebKit.app/Contents/Frameworks/10.8/JavaScriptCore.framework/Versions/A/JavaScriptCore
       0x102a6c000 -        0x103b6bfff  com.apple.WebCore (537+ - 537.44+) <D1E554B5-0AC7-36DB-8472-E9583194272B> /Users/USER/Downloads/WebKit.app/Contents/Frameworks/10.8/WebCore.framework/Versions/A/WebCore
       0x106174000 -        0x10667bfff  com.apple.Safari.framework (8536 - 8536.29.13) <8AB54860-C5A0-3FC2-A486-DDD3151B0555> /System/Library/StagedFrameworks/Safari/Safari.framework/Safari
       0x1069db000 -        0x106b46fff  com.apple.WebKit (r151071 - 537.44+) <4F301168-FD2E-3144-9320-2971DF7EA98E> /Users/USER/Downloads/WebKit.app/Contents/Frameworks/10.8/WebKit.framework/Versions/A/WebKit
       0x107b3d000 -        0x107b4afff  libGPUSupport.dylib (8.7.25) <F884DCD6-8234-3D23-BEC6-4EC4CE5101EF> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupport.dylib
       0x107df5000 -        0x107df9fff  com.apple.IOAccelerator (30.14 - 30.14) <9AE086BC-46F6-38A3-9456-0841D7BD48E4> /System/Library/PrivateFrameworks/IOAccelerator.framework/Versions/A/IOAccelerator
       0x109c17000 -        0x109c2dff7  com.apple.webcontentfilter.framework (3.1 - 5) <E18D99F4-A52C-30C8-9D70-D0E34DB9D68C> /System/Library/PrivateFrameworks/WebContentAnalysis.framework/WebContentAnalysis
       0x10a517000 -        0x10a6d5fff  GLEngine (8.7.25) <8398B57C-EE2D-3006-940C-CECE8E719D3B> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
       0x10a70c000 -        0x10a87cfff  libGLProgrammability.dylib (8.7.25) <EE2DD8AF-C6C3-303D-976E-87B4AABF8371> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
       0x10a8b4000 -        0x10ad3cfff  com.apple.driver.AppleIntelHD4000GraphicsGLDriver (8.10.44 - 8.1.0) <6C433F44-4BDD-357F-8D15-3573B8363C10> /System/Library/Extensions/AppleIntelHD4000GraphicsGLDriver.bundle/Contents/MacOS/AppleIntelHD4000GraphicsGLDriver
       0x10aeb0000 -        0x10aebcfff  libGPUSupportMercury.dylib (8.7.25) <1207928C-DFD1-315B-BAD6-BCDBEB03FC0D> /System/Library/PrivateFrameworks/GPUSupport.framework/Versions/A/Libraries/libGPUSupportMercury.dylib
       0x10b2c3000 -        0x10b2eefff  GLRendererFloat (8.7.25) <BB54593F-07F0-392A-8993-CA844F4A20E8> /System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
       0x10b2f7000 -        0x10b300fe7  libcldcpuengine.dylib (2.2.16) <DB9678F6-7D50-384A-A961-6109B61D1607> /System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/libcldcpuengine.dylib
       0x200000000 -        0x20092dff7  com.apple.GeForceGLDriver (8.10.44 - 8.1.0) <3851C869-C1CF-3EFE-A08C-025318833871> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/GeForceGLDriver
    0x7fff61d72000 -     0x7fff61da693f  dyld (210.2.3) <36CAA36E-72BC-3E48-96D9-B96A2DF77730> /usr/lib/dyld
    0x7fff8150f000 -     0x7fff81510fff  liblangid.dylib (116) <864C409D-D56B-383E-9B44-A435A47F2346> /usr/lib/liblangid.dylib
    0x7fff81511000 -     0x7fff8160ffff  com.apple.QuickLookUIFramework (4.0 - 555.5) <EE02B332-20F3-3226-A022-D71B808E1CC4> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
    0x7fff81610000 -     0x7fff81669fff  com.apple.ImageCaptureCore (5.0.2 - 5.0.2) <D6A71984-8FA2-3964-87C6-1936460FDF8C> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
    0x7fff8166a000 -     0x7fff816a6fff  com.apple.GeoServices (1.0 - 1) <72D29BBD-8899-3F6C-B8C3-17073698D62D> /System/Library/PrivateFrameworks/GeoServices.framework/Versions/A/GeoServices
    0x7fff816a7000 -     0x7fff816b4ff7  com.apple.NetAuth (4.0 - 4.0) <A4A21A2F-B26A-3DC9-95E4-DAFA43A4A2C3> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff816b5000 -     0x7fff822e2ff7  com.apple.AppKit (6.8 - 1187.37) <FAEA8B77-210F-3C0F-B9CF-85A7595CCA26> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
    0x7fff822e3000 -     0x7fff822f6ff7  com.apple.LangAnalysis (1.7.0 - 1.7.0) <023D909C-3AFA-3438-88EB-05D0BDA5AFFE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
    0x7fff82311000 -     0x7fff82333ff7  libxpc.dylib (140.42) <BBE558BD-5E55-35E4-89ED-1AA6B056D05A> /usr/lib/system/libxpc.dylib
    0x7fff8247c000 -     0x7fff82899fff  FaceCoreLight (2.4.1) <A34C9575-C4C1-31B1-809B-7751070B4E8B> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
    0x7fff828e6000 -     0x7fff828eafff  libpam.2.dylib (20) <C8F45864-5B58-3237-87E1-2C258A1D73B8> /usr/lib/libpam.2.dylib
    0x7fff828eb000 -     0x7fff82919ff7  libsystem_m.dylib (3022.6) <11B6081D-6212-3EAB-9975-BED6234BD6A5> /usr/lib/system/libsystem_m.dylib
    0x7fff8291a000 -     0x7fff82929fff  com.apple.opengl (1.8.7 - 1.8.7) <26F7FF79-6BB2-3968-B70D-71D4E07C9551> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
    0x7fff8292a000 -     0x7fff82bd8ff7  com.apple.imageKit (2.2 - 670) <F9B50A59-A749-333C-A8D9-C8A92C649AA9> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
    0x7fff82bd9000 -     0x7fff82bf8ff7  com.apple.ChunkingLibrary (2.0 - 133.3) <8BEC9AFB-DCAA-37E8-A5AB-24422B234ECF> /System/Library/PrivateFrameworks/ChunkingLibrary.framework/Versions/A/ChunkingLibrary
    0x7fff82bf9000 -     0x7fff82d6aff7  com.apple.QTKit (7.7.1 - 2599.24) <A2153722-268B-3293-B9E3-CB59273CDE41> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
    0x7fff82d6b000 -     0x7fff82dd3fff  libvDSP.dylib (380.6) <CD4C5EEB-9E63-30C4-8103-7A5EAEA0BE60> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff82dd4000 -     0x7fff82e31ff7  com.apple.audio.CoreAudio (4.1.1 - 4.1.1) <D15F3FB3-BE53-3545-AD37-9A25A597FE3C> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
    0x7fff82e32000 -     0x7fff82f4bfff  com.apple.ImageIO.framework (3.2.0 - 849) <C52AED41-A7C2-300B-91FA-5AF73718D243> /System/Library/Frameworks/ImageIO.framework/Versions/A/ImageIO
    0x7fff82f4c000 -     0x7fff82f86ff7  com.apple.GSS (3.0 - 2.0) <970CAE00-1437-3F4E-B677-0FDB3714C08C> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
    0x7fff82f91000 -     0x7fff831ecff7  com.apple.QuartzComposer (5.1 - 284) <4B416D48-8B1E-31B9-B334-6C38430930AC> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
    0x7fff831ed000 -     0x7fff83b7d6ff  com.apple.CoreGraphics (1.600.0 - 331.0.4) <4953961C-96DC-39D7-ADF5-B767F2A7E4E1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
    0x7fff83b7e000 -     0x7fff83f77fe7  com.apple.MediaToolbox (1.0 - 926.87) <8346DAFC-88E5-350E-90E1-C98B180488C2> /System/Library/Frameworks/MediaToolbox.framework/Versions/A/MediaToolbox
    0x7fff83f78000 -     0x7fff8404bff7  com.apple.DiscRecording (7.0 - 7000.2.4) <D62DA01B-5B60-3E99-9395-C11FB47E82E0> /System/Library/Frameworks/DiscRecording.framework/Versions/A/DiscRecording
    0x7fff84093000 -     0x7fff8412efff  com.apple.CoreSymbolication (3.0 - 117) <C304FDB8-2FF7-34BC-858A-2B96C2B039D5> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
    0x7fff8412f000 -     0x7fff841aeff7  com.apple.securityfoundation (6.0 - 55115.4) <8676E0DF-295F-3690-BDAA-6C9C1D210B88> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff841f2000 -     0x7fff841f2fff  libOpenScriptingUtil.dylib (148.3) <F8681222-0969-3B10-8BCE-C55A4B9C520C> /usr/lib/libOpenScriptingUtil.dylib
    0x7fff8424e000 -     0x7fff8424fff7  libSystem.B.dylib (169.3) <92475A81-385C-32B9-9D6D-38E4BAC90996> /usr/lib/libSystem.B.dylib
    0x7fff84250000 -     0x7fff84255fff  com.apple.OpenDirectory (10.8 - 151.10) <1F47EC96-7403-3690-8D8D-C31D3B6FDA0A> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff84256000 -     0x7fff8428afff  com.apple.securityinterface (6.0 - 55024.4) <FCF87CA0-CDC1-3F7C-AADA-2AC3FE4E97BD> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
    0x7fff8428b000 -     0x7fff842dcff7  com.apple.SystemConfiguration (1.12.2 - 1.12.2) <A4341BBD-A330-3A57-8891-E9C1A286A72D> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff842de000 -     0x7fff84408ff7  com.apple.avfoundation (2.0 - 361.32) <E99A8D44-3283-377D-AF56-65F9651CEA8E> /System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation
    0x7fff84409000 -     0x7fff84430ff7  com.apple.PerformanceAnalysis (1.16 - 16) <1BDA3662-18B7-3F38-94E5-9ACD477A7682> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
    0x7fff84431000 -     0x7fff84499ff7  libc++.1.dylib (65.1) <E5A0C88E-0837-3015-A987-F8C5A0D35DD6> /usr/lib/libc++.1.dylib
    0x7fff8449a000 -     0x7fff8449dff7  libdyld.dylib (210.2.3) <F59367C9-C110-382B-A695-9035A6DD387E> /usr/lib/system/libdyld.dylib
    0x7fff844e0000 -     0x7fff844ecfff  com.apple.CrashReporterSupport (10.8.3 - 417) <48EDDDF3-5720-39D6-B51F-D9AFB93327B3> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
    0x7fff844fb000 -     0x7fff84937fff  com.apple.VideoToolbox (1.0 - 926.87) <7319477A-4A3D-3233-AAD1-31F9C9429DA7> /System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox
    0x7fff84938000 -     0x7fff84960fff  libJPEG.dylib (849) <5C9052F6-D0B3-39CC-8302-468B43D694D5> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
    0x7fff84961000 -     0x7fff84968fff  com.apple.NetFS (5.0 - 4.0) <195D8EC9-72BB-3E04-A64D-E1A89B4850C1> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff84969000 -     0x7fff84983fff  com.apple.CoreMediaAuthoring (2.1 - 914) <23F2B9D0-7B73-3C42-8EDC-8ADBF9C7B8C2> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
    0x7fff84984000 -     0x7fff849a6ff7  com.apple.Kerberos (2.0 - 1) <416543F5-E7AF-3269-843F-C8CDA8DD0FFA> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
    0x7fff849a7000 -     0x7fff849effff  libcurl.4.dylib (69.2) <EBDBF42D-E4A6-3D05-A76B-2817D79D59E2> /usr/lib/libcurl.4.dylib
    0x7fff849f0000 -     0x7fff84a19fff  libsandbox.1.dylib (220.2) <3FC9A111-B76D-3F98-90A4-44CFB0D433B4> /usr/lib/libsandbox.1.dylib
    0x7fff84a1a000 -     0x7fff84d4afff  com.apple.HIToolbox (2.0 - 626.1) <656D08C2-9068-3532-ABDD-32EC5057CCB2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
    0x7fff84d4b000 -     0x7fff84d81ff7  libsystem_info.dylib (406.17) <C9BA1024-043C-3BD5-908F-AF709E05DEE4> /usr/lib/system/libsystem_info.dylib
    0x7fff84dcb000 -     0x7fff84dceff7  com.apple.LoginUICore (2.0 - 2.0) <C1911200-E442-3B99-AB91-C135703D55DF> /System/Library/PrivateFrameworks/LoginUIKit.framework/Versions/A/Frameworks/LoginUICore.framework/Versions/A/LoginUICore
    0x7fff84dff000 -     0x7fff84e15fff  com.apple.MultitouchSupport.framework (235.29 - 235.29) <617EC8F1-BCE7-3553-86DD-F857866E1257> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
    0x7fff84e16000 -     0x7fff84ea5fff  libCoreStorage.dylib (296.16) <E5BF76A1-2B3E-3FD8-ABF4-F8D18829BF0A> /usr/lib/libCoreStorage.dylib
    0x7fff84ea6000 -     0x7fff84ea9fff  libutil.dylib (30) <EF3340B2-9A53-3D5E-B9B4-BDB5EEECC178> /usr/lib/libutil.dylib
    0x7fff84eaa000 -     0x7fff84eaefff  libGIF.dylib (849) <6A664B4D-0A88-33F7-9064-0CD159AB9CE9> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
    0x7fff84eaf000 -     0x7fff84eb6fff  com.apple.phonenumbers (1.1 - 47) <0EB01ED6-F8DD-3A72-89C6-BA3E7AD805C8> /System/Library/PrivateFrameworks/PhoneNumbers.framework/Versions/A/PhoneNumbers
    0x7fff84eb7000 -     0x7fff84eb8fff  libDiagnosticMessagesClient.dylib (8) <8548E0DC-0D2F-30B6-B045-FE8A038E76D8> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff84ed4000 -     0x7fff84edfff7  com.apple.ProtocolBuffer (2 - 104) <5BA49EB9-1361-3BFF-856C-C5F1D0486072> /System/Library/PrivateFrameworks/ProtocolBuffer.framework/Versions/A/ProtocolBuffer
    0x7fff84ee0000 -     0x7fff84fddfff  libsqlite3.dylib (138.1) <ADE9CB98-D77D-300C-A32A-556B7440769F> /usr/lib/libsqlite3.dylib
    0x7fff84fde000 -     0x7fff853d5fff  libLAPACK.dylib (1073.4) <D632EC8B-2BA0-3853-800A-20DA00A1091C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff853d6000 -     0x7fff853dcff7  libunwind.dylib (35.1) <21703D36-2DAB-3D8B-8442-EAAB23C060D3> /usr/lib/system/libunwind.dylib
    0x7fff8543b000 -     0x7fff85492ff7  com.apple.AppleVAFramework (5.0.19 - 5.0.19) <541A7DBE-F8E4-3023-A3C0-8D5A2A550CFB> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
    0x7fff854e3000 -     0x7fff854e8fff  libcache.dylib (57) <65187C6E-3FBF-3EB8-A1AA-389445E2984D> /usr/lib/system/libcache.dylib
    0x7fff854e9000 -     0x7fff85500fff  com.apple.GenerationalStorage (1.1 - 132.3) <FD4A84B3-13A8-3C60-A59E-25A361447A17> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
    0x7fff85501000 -     0x7fff85506fff  libcompiler_rt.dylib (30) <08F8731D-5961-39F1-AD00-4590321D24A9> /usr/lib/system/libcompiler_rt.dylib
    0x7fff85507000 -     0x7fff8554aff7  com.apple.bom (12.0 - 192) <0EFE0F2D-B6DE-3D1E-93C2-EED6D96F70A2> /System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
    0x7fff8554b000 -     0x7fff8561dff7  com.apple.CoreText (260.0 - 275.16) <990F3C7D-EEF1-33C4-99D6-8E81C96ED3E3> /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    0x7fff8561e000 -     0x7fff8566bfff  com.apple.CoreMediaIO (307.0 - 4155) <CD826A65-DFE7-3A58-A29E-15B3A9BE0A6D> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
    0x7fff8566c000 -     0x7fff85679fff  com.apple.AppleFSCompression (49 - 1.0) <E616053D-D3C2-3600-B8DF-A5E0D9665634> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff8567a000 -     0x7fff8567cfff  com.apple.OAuth (18.1 - 18.1) <8CC24408-C139-300E-9D11-CB064D80FF98> /System/Library/PrivateFrameworks/OAuth.framework/Versions/A/OAuth
    0x7fff8567d000 -     0x7fff8582bfff  com.apple.QuartzCore (1.8 - 304.2) <234EABE1-067C-3DAE-BEAC-674526E232C2> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
    0x7fff85a15000 -     0x7fff85a5fff7  libGLU.dylib (8.7.25) <C243C6D3-3384-3DB1-BB15-E27B65C87294> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
    0x7fff85a60000 -     0x7fff85a64fff  libMatch.1.dylib (17) <E10E50F3-25F8-3B9B-AA11-923E40F5FFDD> /usr/lib/libMatch.1.dylib
    0x7fff85a65000 -     0x7fff85a74ff7  libxar.1.dylib (105) <B6A7C8AA-3E20-3A1D-A7BA-4FD0052FA508> /usr/lib/libxar.1.dylib
    0x7fff85abc000 -     0x7fff862a1fff  libclh.dylib (4.0.3 - 4.0.3) <4562B69C-9097-352B-A179-6E7017618562> /System/Library/Extensions/GeForceGLDriver.bundle/Contents/MacOS/libclh.dylib
    0x7fff862a2000 -     0x7fff8648cff7  com.apple.CoreFoundation (6.8 - 744.18) <A60C3C9B-3764-3291-844C-C487ACF77C2C> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff8648d000 -     0x7fff86499fff  libCSync.A.dylib (331.0.4) <C7043BB7-284D-3B9F-A5CB-78ADE691B2D4> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
    0x7fff8649a000 -     0x7fff8652bfff  com.apple.CorePDF (2.0 - 2) <EB5660B1-0D79-34F3-B242-B559AE0A5B4A> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
    0x7fff867be000 -     0x7fff868c0fff  libJP2.dylib (849) <4EEA33EB-AF9F-365D-A572-F7D11AD1C76F> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
    0x7fff868c1000 -     0x7fff86967ff7  com.apple.CoreServices.OSServices (557.6 - 557.6) <1BDB5456-0CE9-301C-99C1-8EFD0D2BFCCD> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff869e4000 -     0x7fff869e8fff  libCGXType.A.dylib (331.0.4) <251D4D2D-92B9-3D56-B348-CD67397F71FE> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
    0x7fff86d75000 -     0x7fff86fe0ff7  com.apple.RawCamera.bundle (4.05 - 690) <6E4B6BE9-A512-3B8E-91DE-2D12966B5636> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
    0x7fff8706c000 -     0x7fff8706dff7  libdnsinfo.dylib (453.19) <14202FFB-C3CA-3FCC-94B0-14611BF8692D> /usr/lib/system/libdnsinfo.dylib
    0x7fff87088000 -     0x7fff87088fff  com.apple.vecLib (3.8 - vecLib 3.8) <794317C7-4E38-338A-A874-5E18001C8503> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff87089000 -     0x7fff871a192f  libobjc.A.dylib (532.2) <90D31928-F48D-3E37-874F-220A51FD9E37> /usr/lib/libobjc.A.dylib
    0x7fff871b4000 -     0x7fff871beff7  com.apple.xpcobjects (103 - 103) <03968AE7-D7D9-3B12-A2A5-045957DC3526> /System/Library/PrivateFrameworks/XPCObjects.framework/Versions/A/XPCObjects
    0x7fff871bf000 -     0x7fff8731dfef  com.apple.MediaControlSender (1.7 - 170.20) <853BE89D-49B0-3922-9ED5-DDBDE9A97356> /System/Library/PrivateFrameworks/MediaControlSender.framework/Versions/A/MediaControlSender
    0x7fff8731e000 -     0x7fff8732fff7  libsasl2.2.dylib (166) <649CAE0E-8FFE-3C60-A849-BE6300E4B726> /usr/lib/libsasl2.2.dylib
    0x7fff87390000 -     0x7fff87390ffd  com.apple.audio.units.AudioUnit (1.8 - 1.8) <173346B7-614C-380B-8E80-9BD1BE501674> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
    0x7fff873d0000 -     0x7fff8741bfff  com.apple.CoreMedia (1.0 - 926.87) <F51205F8-A102-359C-A9A3-22A48524C081> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
    0x7fff8741c000 -     0x7fff8741eff7  com.apple.print.framework.Print (8.0 - 258) <8F243E49-021F-3892-B555-3010A7F450A2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
    0x7fff8741f000 -     0x7fff87450ff7  com.apple.DictionaryServices (1.2 - 184.4) <2EC80C71-263E-3D63-B461-6351C876C50D> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff87451000 -     0x7fff875a2fff  com.apple.audio.toolbox.AudioToolbox (1.8 - 1.8) <C680EE1A-B4ED-3E77-A08C-DC47922ACA33> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
    0x7fff875a3000 -     0x7fff87698fff  libiconv.2.dylib (34) <FEE8B996-EB44-37FA-B96E-D379664DEFE1> /usr/lib/libiconv.2.dylib
    0x7fff87699000 -     0x7fff87737ff7  com.apple.ink.framework (10.8.2 - 150) <3D8D16A2-7E01-3EA1-B637-83A36D353308> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
    0x7fff87c4b000 -     0x7fff87d3cff7  com.apple.DiskImagesFramework (10.8.3 - 345) <F9FAEAF0-B9A5-34DF-94B7-926FB03AD5F6> /System/Library/PrivateFrameworks/DiskImages.framework/Versions/A/DiskImages
    0x7fff87d3d000 -     0x7fff87da6fff  libstdc++.6.dylib (56) <EAA2B53E-EADE-39CF-A0EF-FB9D4940672A> /usr/lib/libstdc++.6.dylib
    0x7fff87da7000 -     0x7fff87da9fff  libCVMSPluginSupport.dylib (8.7.25) <A45E21E3-4B40-39B0-A8B6-411526A84F47> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
    0x7fff87daa000 -     0x7fff87db8ff7  libkxld.dylib (2050.22.13) <4AAF0573-8632-3D06-BE32-C5675F77638D> /usr/lib/system/libkxld.dylib
    0x7fff87db9000 -     0x7fff87dd8ff7  libresolv.9.dylib (51) <0882DC2D-A892-31FF-AD8C-0BB518C48B23> /usr/lib/libresolv.9.dylib
    0x7fff87dd9000 -     0x7fff87e28ff7  libcorecrypto.dylib (106.2) <CE0C29A3-C420-339B-ADAA-52F4683233CC> /usr/lib/system/libcorecrypto.dylib
    0x7fff87e36000 -     0x7fff87efbff7  com.apple.coreui (2.0 - 181.1) <7C4196D5-79E8-3557-963B-71F494DC9B04> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
    0x7fff87efc000 -     0x7fff87efdfff  libodfde.dylib (18) <46A5538E-3719-3BE8-AD13-537930B4082C> /usr/lib/libodfde.dylib
    0x7fff87efe000 -     0x7fff87f53ff7  libTIFF.dylib (849) <C4D0E196-9319-319B-AF72-8B63FB5AF71B> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
    0x7fff87f54000 -     0x7fff87f56fff  libquarantine.dylib (52) <4BE2E642-A14F-340A-B482-5BD2AEFD9C24> /usr/lib/system/libquarantine.dylib
    0x7fff87f61000 -     0x7fff87f88ff7  com.apple.speech.LatentSemanticMappingFramework (2.9.3 - 2.9.3) <BC8E0B89-56CA-3956-8DCD-AD820493D3DD> /System/Library/Frameworks/LatentSemanticMapping.framework/Versions/A/LatentSemanticMapping
    0x7fff87f89000 -     0x7fff880fefff  com.apple.CFNetwork (596.3.3 - 596.3.3) <3739DC8D-8610-3740-80EC-43E130779CB8> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff880ff000 -     0x7fff8815bff7  com.apple.Symbolication (1.3 - 93) <D3AAB36A-D5EB-3044-BE9D-0B77E64C00FC> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
    0x7fff8815c000 -     0x7fff88259ff7  libxml2.2.dylib (22.3) <7FD09F53-83DA-3ECD-8DD9-870E1A2F0427> /usr/lib/libxml2.2.dylib
    0x7fff883e6000 -     0x7fff883e9fff  com.apple.help (1.3.2 - 42) <418A9A41-BCB4-32A2-97ED-3A388F69CA9D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
    0x7fff883ea000 -     0x7fff88585fef  com.apple.vImage (6.0 - 6.0) <FAE13169-295A-33A5-8E6B-7C2CC1407FA7> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff88586000 -     0x7fff888e3ff7  com.apple.Foundation (6.8 - 945.16) <89BD68FD-72C8-35C1-94C6-3A07F097C50D> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff888e4000 -     0x7fff888e4fff  libkeymgr.dylib (25) <CC9E3394-BE16-397F-926B-E579B60EE429> /usr/lib/system/libkeymgr.dylib
    0x7fff888e5000 -     0x7fff88996fff  com.apple.LaunchServices (539.7 - 539.7) <DA7C602E-5E01-31B8-925D-B45360CA089F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff889e7000 -     0x7fff889fefff  com.apple.CFOpenDirectory (10.8 - 151.10) <10F41DA4-AD54-3F52-B898-588D9A117171> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff889ff000 -     0x7fff88a06fff  libcopyfile.dylib (89) <876573D0-E907-3566-A108-577EAD1B6182> /usr/lib/system/libcopyfile.dylib
    0x7fff88a09000 -     0x7fff88a37fff  com.apple.CoreServicesInternal (154.2 - 154.2) <3E6196E6-F3B4-316F-9E1F-13B6B9694C7E> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
    0x7fff88a38000 -     0x7fff88a7bff7  com.apple.RemoteViewServices (2.0 - 80.6) <5CFA361D-4853-3ACC-9EFC-A2AC1F43BA4B> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
    0x7fff88ae4000 -     0x7fff88af2fff  libcommonCrypto.dylib (60027) <BAAFE0C9-BB86-3CA7-88C0-E3CBA98DA06F> /usr/lib/system/libcommonCrypto.dylib
    0x7fff88af8000 -     0x7fff88b4efff  com.apple.HIServices (1.20 - 417) <A1129272-FEC8-350B-BA26-5A97F23C413D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
    0x7fff88b93000 -     0x7fff88bedff7  com.apple.opencl (2.2.18 - 2.2.18) <4A78E53C-17B0-3B2D-A9EA-EF8720FE4134> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
    0x7fff88bee000 -     0x7fff88c0fff7  libCRFSuite.dylib (33) <B49DA255-A4D9-33AF-95AB-B319570CDF7B> /usr/lib/libCRFSuite.dylib
    0x7fff88c19000 -     0x7fff88c56fef  libGLImage.dylib (8.7.25) <139A9892-A6F2-3F49-87FB-E7AC3F56E003> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
    0x7fff88c57000 -     0x7fff88c57fff  com.apple.ApplicationServices (45 - 45) <5302CC85-D534-3FE5-9E56-CA16762177F6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
    0x7fff88cd6000 -     0x7fff88cdefff  liblaunch.dylib (442.26.2) <2F71CAF8-6524-329E-AC56-C506658B4C0C> /usr/lib/system/liblaunch.dylib
    0x7fff88cdf000 -     0x7fff88e65fff  libBLAS.dylib (1073.4) <C102C0F6-8CB6-3B49-BA6B-2EB61F0B2784> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff88e66000 -     0x7fff88e6dfff  libGFXShared.dylib (8.7.25) <869580B2-39CB-30C3-B76E-73BB4894B6B7> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
    0x7fff88e6e000 -     0x7fff88ecafff  com.apple.QuickLookFramework (4.0 - 555.5) <8B9EAC35-98F3-3BF0-8B15-3A5FE39F150A> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
    0x7fff88ecb000 -     0x7fff8919cff7  com.apple.security (7.0 - 55179.11) <73958084-5BBC-3597-A751-7370B0C247E5> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff8919d000 -     0x7fff8919efff  libquit.dylib (130) <6722862C-8630-3A02-8CD8-C981065AB303> /usr/lib/libquit.dylib
    0x7fff892f9000 -     0x7fff89358fff  com.apple.AE (645.6 - 645.6) <44F403C1-660A-3543-AB9C-3902E02F936F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff89359000 -     0x7fff8935ffff  libmacho.dylib (829) <BF332AD9-E89F-387E-92A4-6E1AB74BD4D9> /usr/lib/system/libmacho.dylib
    0x7fff89360000 -     0x7fff893e1fff  com.apple.Metadata (10.7.0 - 707.5) <4140B1F6-7D73-33C7-B3F2-4DB349C31AE9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff893e2000 -     0x7fff893e2fff  com.apple.quartzframework (1.5 - 1.5) <6403C982-0D45-37EE-A0F0-0EF8BCFEF440> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
    0x7fff893e3000 -     0x7fff8942fff7  libauto.dylib (185.1) <73CDC482-16E3-3FC7-9BB4-FBA2DA44DBC2> /usr/lib/libauto.dylib
    0x7fff89430000 -     0x7fff8953bfff  libFontParser.dylib (84.6) <96C42E49-79A6-3475-B5E4-6A782599A6DA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
    0x7fff895cc000 -     0x7fff895e2fff  com.apple.Accounts (211.2 - 211.2) <AC7386F8-FCAB-35CD-AB39-0ADD254F35CD> /System/Library/Frameworks/Accounts.framework/Versions/A/Accounts
    0x7fff895e3000 -     0x7fff8961efff  com.apple.LDAPFramework (2.4.28 - 194.5) <67FBDB29-3B9F-309A-BA7C-AA5921D9A4FB> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
    0x7fff8967a000 -     0x7fff896e8fff  com.apple.framework.IOKit (2.0.1 - 755.22.5) <1547DA6F-9793-30A2-8E92-7368DE84D46C> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff896e9000 -     0x7fff896e9fff  com.apple.Cocoa (6.7 - 19) <3CFC90D2-2BE9-3E5C-BFDB-5E161A2C2B29> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
    0x7fff896ea000 -     0x7fff896ecfff  com.apple.securityhi (4.0 - 55002) <26E6D477-EF61-351F-BA8C-67824AA231C6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
    0x7fff896ed000 -     0x7fff896eeff7  libsystem_sandbox.dylib (220.2) <6838A6FD-8626-3356-BB4F-BB4787216207> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff896f5000 -     0x7fff898f5fff  libicucore.A.dylib (491.11.2) <FD6282D8-DF3F-3842-8C2E-CF478D2B9669> /usr/lib/libicucore.A.dylib
    0x7fff898f6000 -     0x7fff89922fff  com.apple.quartzfilters (1.8.0 - 1.7.0) <CCF2C41D-93D0-3547-A2B1-D6A69932CADF> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
    0x7fff89923000 -     0x7fff8992dfff  libcsfde.dylib (296.16) <DE03E28D-7979-3C31-9F46-2A7337CE0DBA> /usr/lib/libcsfde.dylib
    0x7fff8992e000 -     0x7fff899bbff7  com.apple.SearchKit (1.4.0 - 1.4.0) <54A8069C-E497-3B07-BEA7-D3BC9DB5B649> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff899bc000 -     0x7fff899d9ff7  com.apple.openscripting (1.3.6 - 148.3) <C008F56A-1E01-3D4C-A9AF-97799D0FAE69> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
    0x7fff899da000 -     0x7fff899e5ff7  com.apple.DisplayServicesFW (2.7.2 - 357) <EC87A00D-FE9C-3CFE-A98C-063C3D23085A> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
    0x7fff899e6000 -     0x7fff89a0dfff  com.apple.framework.familycontrols (4.1 - 410) <50F5A52C-8FB6-300A-977D-5CFDE4D5796B> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
    0x7fff89a0e000 -     0x7fff89c43ff7  com.apple.CoreData (106.1 - 407.7) <24E0A6B4-9ECA-3D12-B26A-72B9DCF09768> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
    0x7fff89c46000 -     0x7fff89c61ff7  com.apple.frameworks.preferencepanes (15.1 - 15.1) <8A3CDC5B-9FA5-32EB-A066-F19874193B92> /System/Library/Frameworks/PreferencePanes.framework/Versions/A/PreferencePanes
    0x7fff89c62000 -     0x7fff89c8efff  com.apple.framework.Apple80211 (8.3.2 - 832.18.1) <5D601780-9AD9-31C9-9AB5-716D8634CB78> /System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211
    0x7fff89c8f000 -     0x7fff89c8ffff  com.apple.Accelerate (1.8 - Accelerate 1.8) <6AD48543-0864-3D40-80CE-01F184F24B45> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff89c90000 -     0x7fff89c99ff7  com.apple.CommerceCore (1.0 - 26.1) <40A129A8-4E5D-3C7A-B299-8CB203C4C65D> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
    0x7fff89cc3000 -     0x7fff89cc3fff  com.apple.AOSMigrate (1.0 - 1) <9E7A92DC-649D-3908-BB36-B7F445261F14> /System/Library/PrivateFrameworks/AOSMigrate.framework/Versions/A/AOSMigrate
    0x7fff89cc7000 -     0x7fff89ccbfff  libCoreVMClient.dylib (32.3) <AD8391D9-56DD-3A78-A294-6A30E6ECE1A2> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
    0x7fff89d09000 -     0x7fff89dd5ff7  libsystem_c.dylib (825.26) <4C9EB006-FE1F-3F8F-8074-DFD94CF2CE7B> /usr/lib/system/libsystem_c.dylib
    0x7fff89dd6000 -     0x7fff89ddeff7  libsystem_dnssd.dylib (379.37) <616FC901-151E-38BF-B2C4-24A351C5FAAD> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff89ddf000 -     0x7fff89de5fff  com.apple.DiskArbitration (2.5.2 - 2.5.2) <C713A35A-360E-36CE-AC0A-25C86A3F50CA> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff89de6000 -     0x7fff89dfbfff  com.apple.ImageCapture (8.0 - 8.0) <71B24609-DEE9-3927-9C82-62E72270299C> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
    0x7fff89dfc000 -     0x7fff89e0aff7  libsystem_network.dylib (77.10) <2AAA67A1-525E-38F0-8028-1D2B64716611> /usr/lib/system/libsystem_network.dylib
    0x7fff89e0b000 -     0x7fff89e26ff7  libsystem_kernel.dylib (2050.22.13) <5A961E2A-CFB8-362B-BC43-122704AEB047> /usr/lib/system/libsystem_kernel.dylib
    0x7fff89e27000 -     0x7fff89e28fff  libsystem_blocks.dylib (59) <D92DCBC3-541C-37BD-AADE-ACC75A0C59C8> /usr/lib/system/libsystem_blocks.dylib
    0x7fff89e29000 -     0x7fff8a5d0fff  com.apple.CoreAUC (6.16.13 - 6.16.13) <8CBFBC9C-0773-3DEB-AF99-989008CB2B36> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
    0x7fff8a5d1000 -     0x7fff8a5e6ff7  libdispatch.dylib (228.23) <D26996BF-FC57-39EB-8829-F63585561E09> /usr/lib/system/libdispatch.dylib
    0x7fff8a887000 -     0x7fff8a891fff  com.apple.speech.recognition.framework (4.1.5 - 4.1.5) <5A4B532E-3428-3F0A-8032-B0AFFF72CA3D> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
    0x7fff8a892000 -     0x7fff8a8c9ff7  libssl.0.9.8.dylib (47) <42AAA348-1361-349F-89C7-22CC168307AD> /usr/lib/libssl.0.9.8.dylib
    0x7fff8a8db000 -     0x7fff8a905ff7  com.apple.CoreVideo (1.8 - 99.4) <E5082966-6D81-3973-A05A-38AA5B85F886> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
    0x7fff8aa4d000 -     0x7fff8ab67fff  com.apple.coreavchd (5.6.0 - 5600.4.16) <85670361-96CA-3805-B981-B41B47E99A37> /System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
    0x7fff8abc7000 -     0x7fff8ac64ff7  com.apple.PDFKit (2.7.3 - 2.7.3) <5AE5FD4E-658F-38BC-90DD-C2B28E17ED34> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
    0x7fff8ae0a000 -     0x7fff8af2afff  com.apple.desktopservices (1.7.3 - 1.7.3) <707F77D2-EC0E-3431-840F-B984BD7ABDD6> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
    0x7fff8af2b000 -     0x7fff8b02dfff  libcrypto.0.9.8.dylib (47) <8926F842-23AB-35D6-A3CE-6FF5D504F875> /usr/lib/libcrypto.0.9.8.dylib
    0x7fff8b02e000 -     0x7fff8b077fff  com.apple.framework.CoreWiFi (1.2.2 - 122.12) <D237551E-0E2C-30FB-8FAA-003D8F25E819> /System/Library/Frameworks/CoreWiFi.framework/Versions/A/CoreWiFi
    0x7fff8b078000 -     0x7fff8b078fff  com.apple.CoreServices (57 - 57) <45F1466A-8264-3BB7-B0EC-E5E5BFBED143> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff8b079000 -     0x7fff8b2f9ff7  com.apple.AOSKit (1.05 - 152.2) <43361229-45F3-3946-A11A-CC0FF2129F06> /System/Library/PrivateFrameworks/AOSKit.framework/Versions/A/AOSKit
    0x7fff8bbb2000 -     0x7fff8bbb5fff  libRadiance.dylib (849) <F7D9A0FD-1195-34CB-BFE5-79DAF3F40AC3> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
    0x7fff8bbb6000 -     0x7fff8bc73ff7  com.apple.ColorSync (4.8.0 - 4.8.0) <73BE495D-8985-3B88-A7D0-23DF0CB50304> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
    0x7fff8bc74000 -     0x7fff8bc78ff7  com.apple.CommonPanels (1.2.5 - 94) <5F81D593-4B87-3DCC-B934-625D436B4CB1> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
    0x7fff8bc79000 -     0x7fff8bc84ff7  com.apple.aps.framework (3.0 - 3.0) <2041AD84-4279-3ECC-A13E-AC6698BB1A67> /System/Library/PrivateFrameworks/ApplePushService.framework/Versions/A/ApplePushService
    0x7fff8bc85000 -     0x7fff8bce1fff  com.apple.corelocation (1239.40 - 1239.40) <2F743CD8-A9F5-3375-A3B0-BB0D756FC239> /System/Library/Frameworks/CoreLocation.framework/Versions/A/CoreLocation
    0x7fff8bce2000 -     0x7fff8bd22ff7  com.apple.MediaKit (14 - 687) <8AAA8CC3-3ACD-34A5-9E57-9B24AD8AFD4D> /System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
    0x7fff8bd23000 -     0x7fff8bd37fff  com.apple.speech.synthesis.framework (4.1.12 - 4.1.12) <94EDF2AB-809C-3D15-BED5-7AD45B2A7C16> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
    0x7fff8bd38000 -     0x7fff8bd59fff  com.apple.Ubiquity (1.2 - 243.15) <C9A7EE77-B637-3676-B667-C0843BBB0409> /System/Library/PrivateFrameworks/Ubiquity.framework/Versions/A/Ubiquity
    0x7fff8bd5a000 -     0x7fff8bd67fff  libbz2.1.0.dylib (29) <CE9785E8-B535-3504-B392-82F0064D9AF2> /usr/lib/libbz2.1.0.dylib
    0x7fff8bd68000 -     0x7fff8be42fff  com.apple.backup.framework (1.4.2 - 1.4.2) <0B557393-CD2A-3076-BED2-F28D02E1EC1D> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
    0x7fff8be56000 -     0x7fff8be64fff  com.apple.Librarian (1.1 - 1) <5AC28666-7642-395F-A923-C6F8A274BBBD> /System/Library/PrivateFrameworks/Librarian.framework/Versions/A/Librarian
    0x7fff8be65000 -     0x7fff8c128ff7  com.apple.AddressBook.framework (7.1 - 1169) <5FFF3765-414A-3633-ADE5-337CD4B9A102> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
    0x7fff8c14c000 -     0x7fff8c197fff  com.apple.framework.CoreWLAN (3.0.2 - 302.12) <896D75EB-069B-3674-936E-27A81568BECB> /System/Library/Frameworks/CoreWLAN.framework/Versions/A/CoreWLAN
    0x7fff8c198000 -     0x7fff8c19cff7  com.apple.TCC (1.0 - 1) <76A86876-2280-3849-8478-450E1A8C0E01> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff8c1d6000 -     0x7fff8c246fff  com.apple.ISSupport (1.9.8 - 56) <19436666-D781-3C6A-B091-85BE7316E4B2> /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
    0x7fff8c247000 -     0x7fff8c253ff7  com.apple.DirectoryService.Framework (10.8 - 151.10) <4F3284A9-EFD4-3A77-8B7F-D3D611D656A0> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
    0x7fff8c2a5000 -     0x7fff8c2fcff7  com.apple.ScalableUserInterface (1.0 - 1) <93C14595-6172-37E9-88F2-CBC80A1C54D0> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
    0x7fff8c4af000 -     0x7fff8c4baff7  com.apple.bsd.ServiceManagement (2.0 - 2.0) <C12962D5-85FB-349E-AA56-64F4F487F219> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff8c4bb000 -     0x7fff8c4bbfff  com.apple.Accelerate.vecLib (3.8 - vecLib 3.8) <B5A18EE8-DF81-38DD-ACAF-7076B2A26225> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff8c4bc000 -     0x7fff8c4fbff7  com.apple.QD (3.42 - 285) <8DF36FCA-C06B-30F4-A631-7BE2FF7E56D1> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
    0x7fff8c50d000 -     0x7fff8c547fff  com.apple.framework.internetaccounts (2.1 - 210) <546769AA-C561-3C17-8E8E-4E65A700E2F1> /System/Library/PrivateFrameworks/InternetAccounts.framework/Versions/A/InternetAccounts
    0x7fff8c548000 -     0x7fff8c5e2fff  libvMisc.dylib (380.6) <714336EA-1C0E-3735-B31C-19DFDAAF6221> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff8c615000 -     0x7fff8c640fff  libxslt.1.dylib (11.3) <441776B8-9130-3893-956F-39C85FFA644F> /usr/lib/libxslt.1.dylib
    0x7fff8c644000 -     0x7fff8c67cfff  libtidy.A.dylib (15.10) <9009156B-84F5-3781-BFCB-B409B538CD18> /usr/lib/libtidy.A.dylib
    0x7fff8c67d000 -     0x7fff8c680fff  com.apple.AppleSystemInfo (2.0 - 2) <C9D7F3A6-F926-39F3-8F55-A3A137DDAE50> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
    0x7fff8c681000 -     0x7fff8c683ff7  com.apple.EFILogin (2.0 - 2) <51A470D7-1F72-3369-AF0F-AD2340B42C12> /System/Library/PrivateFrameworks/EFILogin.framework/Versions/A/EFILogin
    0x7fff8c684000 -     0x7fff8c69bfff  libGL.dylib (8.7.25) <15F5CB64-847B-3D3D-9663-E0523F15F513> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
    0x7fff8c69c000 -     0x7fff8c6afff7  libbsm.0.dylib (32) <F497D3CE-40D9-3551-84B4-3D5E39600737> /usr/lib/libbsm.0.dylib
    0x7fff8c6b0000 -     0x7fff8c6e6fff  com.apple.DebugSymbols (98 - 98) <7059F71D-9A82-3D32-99BB-E043DEDA6174> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
    0x7fff8c808000 -     0x7fff8c857ff7  libFontRegistry.dylib (100) <F7EC0287-58E4-3ABE-A45E-B105A68EA76E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
    0x7fff8c858000 -     0x7fff8c88afff  com.apple.framework.Admin (12.0 - 12.0) <21E02DE3-B255-3A55-8F55-7FC9EE864C06> /System/Library/PrivateFrameworks/Admin.framework/Versions/A/Admin
    0x7fff8c88b000 -     0x7fff8c8b7ff7  libRIP.A.dylib (331.0.4) <4B261CE2-524E-3FA9-9437-B70DAC1EAB95> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
    0x7fff8c8b8000 -     0x7fff8c8caff7  libz.1.dylib (43) <2A1551E8-A272-3DE5-B692-955974FE1416> /usr/lib/libz.1.dylib
    0x7fff8c926000 -     0x7fff8c96afff  libcups.2.dylib (327.3) <71E771A1-0489-3417-8A4A-56A2C930F80C> /usr/lib/libcups.2.dylib
    0x7fff8caab000 -     0x7fff8cb05fff  com.apple.print.framework.PrintCore (8.3 - 387.2) <5BA0CBED-4D80-386A-9646-F835C9805B71> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
    0x7fff8cb06000 -     0x7fff8cb11fff  libsystem_notify.dylib (98.5) <C49275CC-835A-3207-AFBA-8C01374927B6> /usr/lib/system/libsystem_notify.dylib
    0x7fff8cb12000 -     0x7fff8cb14fff  com.apple.TrustEvaluationAgent (2.0 - 23) <A97D348B-32BF-3E52-8DF2-59BFAD21E1A3> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
    0x7fff8cb15000 -     0x7fff8cb95ff7  com.apple.ApplicationServices.ATS (332 - 341.1) <AFDC05E6-F842-33D9-9379-81DF26E510CA> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
    0x7fff8cb96000 -     0x7fff8cb9afff  com.apple.IOSurface (86.0.4 - 86.0.4) <26F01CD4-B76B-37A3-989D-66E8140542B3> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
    0x7fff8cb9b000 -     0x7fff8cbc0ff7  libc++abi.dylib (26) <D86169F3-9F31-377A-9AF3-DB17142052E4> /usr/lib/libc++abi.dylib
    0x7fff8cbc1000 -     0x7fff8cc43ff7  com.apple.Heimdal (3.0 - 2.0) <C94B0C6C-1320-35A1-8143-FE252E7B2A08> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
    0x7fff8cc44000 -     0x7fff8cf5bff7  com.apple.CoreServices.CarbonCore (1037.5 - 1037.5) <731D8F92-1C52-3613-BA01-EFEA54DADF41> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff8cf5c000 -     0x7fff8d200ff7  com.apple.CoreImage (8.2.4 - 1.0.1) <4A6B017F-B9F7-36DA-943D-A95611F147EA> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
    0x7fff8d201000 -     0x7fff8d221fff  libPng.dylib (849) <F4C23A55-F17B-3E4F-9E80-BC97F778BA49> /System/Library/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
    0x7fff8d222000 -     0x7fff8d22dfff  com.apple.CommonAuth (3.0 - 2.0) <7A953C1F-8B18-3E46-9BEA-26D9B5B7745D> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth
    0x7fff8e1ec000 -     0x7fff8e1edff7  libremovefile.dylib (23.2) <6763BC8E-18B8-3AD9-8FFA-B43713A7264F> /usr/lib/system/libremovefile.dylib
    0x7fff8e1ee000 -     0x7fff8e1eefff  com.apple.Carbon (154 - 155) <1B2846B1-384E-3D1C-8999-201215723349> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
    0x7fff8e438000 -     0x7fff8e43aff7  libunc.dylib (25) <2FDC94A7-3039-3680-85F3-2164E63B464D> /usr/lib/system/libunc.dylib
    0x7fff8e43b000 -     0x7fff8e4a8ff7  com.apple.datadetectorscore (4.1 - 269.2) <4FD4A7CE-BB00-3AAB-B7AA-AE395D5400EC> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 2
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 56420
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=259.0M resident=159.1M(61%) swapped_out_or_unallocated=99.9M(39%)
Writable regions: Total=1.3G written=60.4M(4%) resident=107.5M(8%) swapped_out=0K(0%) unallocated=1.2G(92%)
 
REGION TYPE                        VIRTUAL
===========                        =======
CG image                             1028K
CG shared images                     1216K
CoreAnimation                        3304K
CoreServices                         3276K
IOKit                               119.6M
IOKit (reserved)                        4K        reserved VM address space (unallocated)
JS JIT generated code               256.0M
JS JIT generated code (reserved)    768.0M        reserved VM address space (unallocated)
JS VM register file                  4096K
JS garbage collector                 13.7M
MALLOC                              182.6M
MALLOC guard page                      48K
Memory tag=242                         12K
OpenGL GLSL                          1936K
OpenGL GLSL (reserved)                128K        reserved VM address space (unallocated)
SQLite page cache                     384K
STACK GUARD                          56.1M
Stack                                17.2M
TC malloc                             408K
VM_ALLOCATE                           348K
__DATA                               39.0M
__IMAGE                               528K
__LINKEDIT                           68.0M
__TEXT                              191.0M
__UNICODE                             544K
mapped file                          37.6M
shared memory                         372K
===========                        =======
TOTAL                                 1.7G
TOTAL, minus reserved VM space      997.8M

Model: MacBookPro10,1, BootROM MBP101.00EE.B03, 4 processors, Intel Core i7, 2.7 GHz, 16 GB, SMC 2.3f35
Graphics: Intel HD Graphics 4000, Intel HD Graphics 4000, Built-In, 512 MB
Graphics: NVIDIA GeForce GT 650M, NVIDIA GeForce GT 650M, PCIe, 1024 MB
Memory Module: BANK 0/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D5434314753364D465238432D50422020
Memory Module: BANK 1/DIMM0, 8 GB, DDR3, 1600 MHz, 0x80AD, 0x484D5434314753364D465238432D50422020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xEF), Broadcom BCM43xx 1.0 (5.106.98.100.16)
Bluetooth: Version 4.1.3f3 11349, 2 service, 11 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en0
Serial ATA Device: APPLE SSD SD512E, 500.28 GB
USB Device: hub_device, 0x8087  (Intel Corporation), 0x0024, 0x1a100000 / 2
USB Device: FaceTime HD Camera (Built-in), apple_vendor_id, 0x8510, 0x1a110000 / 3
USB Device: hub_device, 0x8087  (Intel Corporation), 0x0024, 0x1d100000 / 2
USB Device: hub_device, 0x0424  (SMSC), 0x2512, 0x1d180000 / 3
USB Device: BRCM20702 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x1d181000 / 5
USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x8286, 0x1d181300 / 6
USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0262, 0x1d182000 / 4

.
Comment 1 Chris Petersen 2013-06-01 20:00:06 PDT
This regression happens with r151071.
Comment 2 Radar WebKit Bug Importer 2013-06-01 23:48:26 PDT
<rdar://problem/14043011>
Comment 3 Zan Dobersek 2013-06-02 12:06:14 PDT
That changeset was faulty but fixed in r151072.
http://trac.webkit.org/changeset/151072

Could you test with the latest nightly to check if the crashes still occur?
Comment 4 Chris Petersen 2013-06-02 19:05:06 PDT
Yes, this doesn't happen in Webkit NB r151076 which includes r151072.
Comment 5 Chris Petersen 2013-06-02 21:37:37 PDT
Can no longer reproduce in Webkit NB r151076.